אירועים
רשימת Webhooks
POST
/api/v1/webhookקבלת רשימת כל רישומי ה-Webhook הפעילים בארגון, כולל סוגי האירועים ותאריך השליחה האחרון.
אימות
Authorizationstringheaderחובהכותרת אימות מסוג Bearer <token>, כאשר <token> הוא מפתח ה-API שלך.
פרמטרים
לפעולה זו אין פרמטרים נוספים מעבר ל-action.
תשובה
200 — application/json
successbooleanחובהמציין אם הבקשה הצליחה
dataobjectאובייקט המכיל את נתוני התשובה
רשימת Webhooks
const response = await fetch('https://crm.heybase.co.il/api/v1/webhook', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"action": "list_webhook_subscriptions"
}),
})
const data = await response.json()200
{
"success": true,
"data": [
{
"id": "sub_001",
"url": "https://my-server.com/webhooks",
"events": [
"record.created",
"record.updated"
],
"active": true,
"lastDelivery": "2024-03-25T12: 00: 00.000Z"
},
{
"id": "sub_002",
"url": "https://zapier.com/hooks/123",
"events": [
"signature.signed"
],
"active": true,
"lastDelivery": null
}
]
}בעמוד זה
